Your availability as the phone system sees it (one truth)
GET
/v1/mobile/workspace/me/availability
const url = 'https://api.vocapable.com/v1/mobile/workspace/me/availability';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/mobile/workspace/me/availability \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WorkspaceAvailability
What the dispatcher, the receptionist’s transfer and the team page all read.
object
state
required
State
string
ring_preference
required
Ring Preference
string
app_ready
required
App Ready
boolean
phone_ready
required
Phone Ready
boolean
rings_app
required
Rings App
boolean
rings_phone
required
Rings Phone
boolean
Example
{ "state": "available", "presence_state": "available", "ring_preference": "app_then_phone"}